from flask import Flask, render_template, url_for, flash, redirect
from forms import RegistrationForm, LoginForm

app = Flask(__name__)

app.config['SECRET_KEY'] = 'db3746b2ffa650b3804e4316d227f853'

posts = [
    {
        'pagetitle': 'home page'
    }
]

navbaritems = [
    
    {
        'name': 'home',
        'url': 'home'
    },
    {
        'name': 'login',
        'url': 'login'
    },
    {
        'name': 'register',
        'url': 'register'
    }
]


@app.route("/")
@app.route("/home")
def home():
    return render_template('home.html', posts=posts, navbaritems=navbaritems)


@app.route("/about")
def about():
    return render_template('about.html', title='About', posts=posts, navbaritems=navbaritems)

@app.route("/register", methods=['GET', 'POST'])
def register():
    form = RegistrationForm()
    if form.validate_on_submit():
        flash(f'Account created for {form.username.data}!')
        return redirect(url_for('home'))
    return render_template('register.html', title='Register', form=form)


@app.route("/login", methods=['GET', 'POST'])
def login():
    form = LoginForm()
    if form.validate_on_submit():
        if form.email.data == 'admin' and form.password.data == 'admin':
            flash('You have been log in !')
            return redirect(url_for('home'))
        else:
            flash('Login Unsuccessful')
    return render_template('login.html', title='Login', form=form)


if __name__ == '__main__':
    app.run(debug=True, port=8700)
